/*

*/
#ifndef __spi_master_h__
#define __spi_master_h__

#include "driver/spi_master.h"

extern spi_device_handle_t spi;
//VS1003内部定义
#define VS_Write            0x02    //写命令
#define VS_Read             0x03    //读命令
//VS1003寄存器定义
#define VS_MODE             0x00    //控制模式
#define VS_STATUS           0x01    //VS1003状态
#define VS_BASS             0x02    //内置高、低音增强器
#define VS_CLOCKF           0x03    //时钟频率+倍频数
#define VS_DECODE_TIME      0x04    //每秒解码次数
#define VS_AUDATA           0x05    //音频数据
#define VS_WRAM             0x06    //RAM读写
#define VS_WRAMADDR         0x07    //RMA读写地址
#define VS_HDAT0            0x08    //流头数据0
#define VS_HDAT1            0x09    //流头数据1
#define VS_AIADDR           0x0A    //应用程序起始地址
#define VS_VOL              0x0B    //音量控制
#define VS_AICTRL0          0x0C    //应用控制寄存器0
#define VS_AICTRL1          0x0D    //应用控制寄存器1
#define VS_AICTRL2          0x0E    //应用控制寄存器2
#define VS_AICTRL3          0x0F    //应用控制寄存器3

void spi2_task(void);
void VS_play_record_Dat(spi_device_handle_t spi);

#endif
